<template>
  <div class="bbsl-common-page">
    <div class="warp-content">
      <div class="content-left">
        <div class="leftTop-header">
          <el-tabs value="非智能设备" style="width: 70%">
              <el-tab-pane label="非智能设备" name="非智能设备">
                <span slot="label">
                  <img class="tab-img" src="@/assets/img/fznxb.png" />
                  <span class="tab-label active">设备状态统计</span>
                </span>
              </el-tab-pane>
            </el-tabs>
          <div class="container" v-loading="loading" element-loading-text="拼命加载中"
            element-loading-spinner="el-icon-loading" element-loading-background="rgba(0, 0, 0, 0.1)">
            <template v-if="reportFormData.length !== 0">
              <div class="card-container">
                <div class="item-card" v-for="(item, index) in reportFormData" :key="index" :style="[
                  {
                    background:
                      item.failure > 0
                        ? 'linear-gradient(90deg, #FFEDED, #FFFFFF)'
                        : item.alarm > 0
                          ? 'linear-gradient(90deg, #FFF4F1, #FFFFFF)'
                          : 'linear-gradient(90deg, #EFF4FF, #FFFFFF)',
                  },
                  {
                    border:
                      item.failure > 0
                        ? '1px solid #F29898'
                        : item.alarm > 0
                          ? '1px solid #FFD8CC'
                          : '1px solid #C9D9FF',
                  },
                ]">
                  <div class="card-title">
                    <div style="
                          display: inline-block;
                          border-radius: 50%;
                          margin-right: 8px;
                         " :style="{
                           background:
                             item.failure > 0
                               ? ' #F24B4B'
                               : item.alarm > 0
                                 ? ' #FB9723'
                                 : ' #42C9FF',
                           padding: item.icon ? '5px 7px' : '5px'
                         }">
                      <svgIcon icon-style="icon" :icon-class="item.icon" v-if="item.icon" style="
                        font-size: 16px;
                        vertical-align: sub;
                        color: #fff !important;
                    " />
                    </div>

                    {{ item.name }}
                  </div>
                  <div class="card-cont">
                    <div class="cont-item">
                      总数
                      <div class="num">
                        {{ item.allNum }}<span> 个</span>
                      </div>
                    </div>
                    <div class="cont-item">
                      正常数
                      <div class="normal">
                        {{ item.normalNum
                        }}<span> 个</span>
                      </div>
                    </div>
                    <div class="cont-item">
                      故障数
                      <div class="alarm">
                        {{ item.failureNum
                        }}<span> 个</span>
                      </div>
                    </div>
                    <div class="cont-item">
                      报警数
                      <div class="breakdown">
                        {{ item.warnNum }}<span> 个</span>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </template>
            <el-empty v-else description="暂无数据"></el-empty>
          </div>
        </div>
        <!-- 中间部分 -->
        <div class="leftTop">
          <div style="
                display: flex;
                width: 100%;
                justify-content: space-between;
            ">
            <el-tabs value="非智能设备" style="width: 70%">
              <el-tab-pane label="非智能设备" name="非智能设备">
                <span slot="label">
                  <img class="tab-img" src="@/assets/img/fznxb.png" />
                  <span class="tab-label active">当前区域状态设备分析</span>
                </span>
              </el-tab-pane>
            </el-tabs>
            <div>
              <span style="line-height: 26px">产品：</span>
              <el-cascader v-model="productValue" :options="productData" :show-all-levels="false" filterable
                @change="productChange(productValue)" :props="{
                  label: 'name',
                  value: 'fullId',
                  children: 'children',
                }" clearable>
              </el-cascader>
            </div>
          </div>
          <div class="current-region">
            <div id="Bar" style="width: 100%; height: 100%"></div>
          </div>
        </div>
        <div class="equipment">
          <div class="content-right">
            <div class="rightTop">
              <img class="right-top-icon" src="@/assets/img/fznxb.png" />设备状态分析
            </div>
            <div class="device-status">
              <!-- <div class="region-btn">
  <el-button @click="attitude" :autofocus="true" type="primary" :plain="selectA">姿态检测
  </el-button>
  <el-button @click="stagnantWater" type="primary" :plain="selectB">积水检测</el-button>
  <el-button @click="dangerous" type="primary" :plain="selectC">危险源检测</el-button>
  <el-button @click="proof" type="primary" :plain="selectD">防爆路障</el-button>
  <el-button @click="Camera" type="primary" :plain="selectE">摄像头</el-button>

</div> -->
              <div style="margin: 10px 0 0 10px">
                产品：
                <el-cascader v-model="productValue1" :options="productDataOne" :show-all-levels="false" filterable
                  @change="
                    regionChange('product', productValue1)
                    " :props="{
                      label: 'name',
                      value: 'fullId',
                      children: 'children',
                    }">
                </el-cascader>

                日期：
                <!-- <el-date-picker @change="regionChange('time',regionPicker)" v-model="regionPicker"
  :picker-options="pickerOptions" type="daterange" range-separator="至"
  start-placeholder="开始日期" end-placeholder="结束日期" value-format="yyyy-MM-dd">
</el-date-picker> -->
                <!-- :picker-options="pickerOptions" -->
                <el-date-picker v-model="regionPicker" type="daterange" @change="regionChange('time', regionPicker)"
                  range-separator="至" start-placeholder="开始日期" end-placeholder="结束日期">
                </el-date-picker>
              </div>
              <div class="region-list" id="deviceList" style="width: 100%; height: calc(100% - 50px)"></div>
            </div>
          </div>
          <div class="content-right">
            <div class="rightTop">
              <img class="right-top-icon" src="@/assets/img/fznxb.png" />设备使用年限分析
            </div>
            <div class="device-status">
              <div class="region-list" id="lifeAnalyze" style="width: 100%; height: 100%"></div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>
<script>
import * as echarts from 'echarts'
import dictUtils from '@/components/dict/DictSelectUtils.js'
import vueSeamlessScroll from 'vue-seamless-scroll'
import equipmentIndex from '@/api/device/equipmentIndex.js'
import resourceManage from '@/api/device/resourceManage.js'
import equipmentManage from '@/api/device/equipmentManage.js'

export default {
  components: {
    vueSeamlessScroll
  },
  data() {
    var that = this
    return {
      selectA: false,
      selectB: true,
      selectC: true,
      selectD: true,
      selectE: true,
      warnAnalyzeData: [],
      regionPicker: [],
      endTime: '',
      startTime: '',
      warnFailureTime: '',
      warnFailureFailure: '',
      warnFailureAlarm: '',
      areaStatusAreaName: [],
      productValue: '',
      deviceValue: 'bspqx',
      productData: [],
      intellectData: [
        {
          alarm: 0,
          failure: 0,
          normal: 0,
          num: 0,
          other: 0,
          scrap: 0,
          typeCode: 'barricade',
          typeName: '升降路障产品'
        },
        {
          alarm: 0,
          failure: 0,
          normal: 0,
          num: 0,
          other: 0,
          scrap: 0,
          typeCode: 'barricade',
          typeName: '升降路障产品'
        },
        {
          alarm: 0,
          failure: 0,
          normal: 0,
          num: 0,
          other: 0,
          scrap: 0,
          typeCode: 'barricade',
          typeName: '升降路障产品'
        },
        {
          alarm: 0,
          failure: 0,
          normal: 0,
          num: 0,
          other: 0,
          scrap: 0,
          typeCode: 'barricade',
          typeName: '升降路障产品'
        },
        {
          alarm: 0,
          failure: 0,
          normal: 0,
          num: 0,
          other: 0,
          scrap: 0,
          typeCode: 'barricade',
          typeName: '升降路障产品'
        },
        {
          alarm: 0,
          failure: 0,
          normal: 0,
          num: 0,
          other: 0,
          scrap: 0,
          typeCode: 'barricade',
          typeName: '升降路障产品'
        },
        {
          alarm: 0,
          failure: 0,
          normal: 0,
          num: 0,
          other: 0,
          scrap: 0,
          typeCode: 'barricade',
          typeName: '升降路障产品'
        }
      ],
      equipmentData: [],

      activeName: '/1552911478301003776',
      conditions: [
        {
          name: '综合管理局',
          value: '/1552911478301003776'
        },
        {
          name: '渝高物业',
          value: '/1667102417759510528'
        },
        {
          name: '视频监控',
          value: ''
        }
      ],
      searchForm: {
        productValue: '',
        regionValue: ''
      },
      treeData: [],
      loading: false,
      reportFormData: [],
      searchType: false,
      areaId: '',
      fullId: '',
      typeCode: '',
      startTime: '',
      endTime: '',
      productValue1: '',
      productDataOne: [],
      equipmentStatusData: [],
      // 用于已选择的第一个时间
      pickerOneDate: null,
      pickerOptions: {
        // 获取选择的第一个时间
        onPick: (obj) => {
          // 把第一个时间分配给pickerOneDate
          let startDate = new Date(obj.minDate).getTime()
          that.pickerOneDate = startDate
        },
        disabledDate(time) {
          if (that.pickerOneDate) {
            const day = 7 * 24 * 3600 * 1000
            let maxTime = that.pickerOneDate + day
            let minTime = that.pickerOneDate - day
            return (
              time.getTime() > maxTime ||
              time.getTime() < minTime ||
              time.getTime() > Date.now()
            )
          } else {
            return time.getTime() > Date.now()
          }
        }
      }
    }
  },
  created() {
    this.loadProduct() //产品树
    this.areaStatusList() //设备分析
    this.getAreaTree() //区域树
    this.getAllproductType()
    this.getReportForm() // 获取区域设备分析数据
    this.getEquipmentLife() //获取设备年限分析数据
  },
  mounted() {
  },
  computed: {},
  methods: {
    getAllproductType() {
      equipmentIndex.AllproductType({}, (res) => {
        if (res.state) {
          this.productDataOne = res.value
          this.productValue1 =
            this.productDataOne[0].children[0].fullId
          this.typeCode = this.productDataOne[0].children[0].fullId
          this.getEquipmentStatus()
        }
      })
    },
    //产品树
    loadProduct() {
      resourceManage.getProductTree(
        {
          // fullId: this.activeName
        },
        (res) => {
          if (res.state) {
            this.productData = res.value
          }
        }
      )
    },
    //区域
    getAreaTree() {
      equipmentManage.loadAreaTree(
        {
          id: '0'
        },
        (res) => {
          this.treeData = res.value // this.formatData(res.rows)
          this.$set(this.treeData)
        }
      )
    },
    regionChange(val, data) {
      console.log(data)
      let arr = JSON.parse(JSON.stringify(data))
      if (val == 'product') {
        this.typeCode = arr.pop()
      } else if (val == 'time') {
        if (data == null) {
          this.pickerOneDate = null
        } else {
          this.startTime = arr[0]
          this.endTime = arr[1]
        }
      }
      this.getEquipmentStatus()
    },
    // 获取报表数据
    getReportForm() {
      
      this.$http.post(window.context.portal + `/device/info/count/deviceParent`,{}).then(
        res => {
          if (res.data.state) {
            this.reportFormData = res.data.value
          }
        })
    },
    
    productChange(val) {
      if (this.productValue.length > 0) {
        let arr = JSON.parse(JSON.stringify(this.productValue))
        this.fullId = arr.pop()
      } else {
        this.fullId = ''
      }
      this.areaStatusList()
    },
    //设备分析
    areaStatusList() {
      const formData = new FormData()
      formData.append('areaId', this.areaId ? this.areaId : '')
      formData.append('fullId', this.fullId ? this.fullId : '')
      const config = {
        headers: {
          'Content-Type': 'multipart/form-data'
        }
      }
      this.$http
        .post(
          window.context.portal + `/homepage/v1/areaStatusAnalyze`,
          formData,
          config
        )
        .then((res) => {
          if (res.data.state) {
            this.equipmentData = res.data.value
            this.$nextTick(() => {
              this.equipmentInit()
            })
          }
        })
    },
    // 设备分析echarts
    equipmentInit() {
      let myChart = echarts.init(document.getElementById('Bar'))
      // 指定图表的配置项和数据
      let AData = []
      let BData = []
      let CData = []
      this.equipmentData.forEach((e) => {
        AData.push({
          value: e.normal,
          extra: {
            param: e.areaId
          }
        })
        BData.push({
          value: e.failure,
          extra: {
            param: e.areaId
          }
        })
        CData.push({
          value: e.alarm,
          extra: {
            param: e.areaId
          }
        })
      })
      let option = {
        toolbox: {
          feature: {
            restore: {
              show: true,
              title: '返回'
            }
          },
          iconStyle: {
            borderColor: '#000'
          }
        },
        // title: {
        // 	text: '全校人数汇总',
        // 	left: 'center'
        // },
        tooltip: {
          trigger: 'axis',
          axisPointer: {
            type: 'shadow'
          }
        },
        legend: {},
        grid: {
          left: 50,
          right: 20,
          bottom: '10%'
        },
        xAxis: {
          data: this.equipmentData.map((a) => a.areaName)
        },
        yAxis: {},
        series: [
          {
            // color: '#1890ff',
            type: 'bar',
            name: '正常数',
            data: AData,
            barWidth: 25,
            showBackground: true,
            label: {
              show: true,
              fontSize: 13,
              color: '#000',
              position: 'top',
              // 配置自定义参数
              extra: {
                customParam: '这里是自定义参数'
              }
            },
            itemStyle: {
              normal: {
                color: new echarts.graphic.LinearGradient(
                  0,
                  0,
                  0,
                  1,
                  [
                    {
                      offset: 0,
                      color: '#01D1FF'
                    },
                    {
                      offset: 1,
                      color: '#1890ff'
                    }
                  ]
                )
              }
            }
          },
          {
            color: '#ff8000',
            type: 'bar',
            name: '故障数',
            barWidth: 25,
            showBackground: true,
            data: BData,
            label: {
              show: true,
              fontSize: 13,
              color: '#000',
              position: 'top',
              // 配置自定义参数
              extra: {
                customParam: '这里是自定义参数'
              }
            },
            itemStyle: {
              normal: {
                color: new echarts.graphic.LinearGradient(
                  0,
                  0,
                  0,
                  1,
                  [
                    {
                      offset: 0,
                      color: '#FFBD7A'
                    },
                    {
                      offset: 1,
                      color: '#ff8000'
                    }
                  ]
                )
              }
            }
          },
          {
            color: '#f9c700',
            type: 'bar',
            name: '报警数',
            barWidth: 25,
            data: CData,
            showBackground: true,
            label: {
              show: true,
              fontSize: 13,
              color: '#000',
              position: 'top',
              extra: {
                customParam: '这里是自定义参数'
              }
            },
            itemStyle: {
              normal: {
                color: new echarts.graphic.LinearGradient(
                  0,
                  0,
                  0,
                  1,
                  [
                    {
                      offset: 0,
                      color: '#FFE375'
                    },
                    {
                      offset: 1,
                      color: '#f9c700'
                    }
                  ]
                )
              }
            }
          }
        ]
      }
      option.xAxis.data = this.equipmentData.map((a) => a.areaName)
      myChart.setOption(option)
      // 点击柱状触发事件（点击事件，点击下钻查询年级所属的班级数据） 如不需要下钻查询可不写
      myChart.on('click', (params) => {
        let areaId = params.data.extra.param
        if (areaId) {
          const formData = new FormData()
          formData.append('areaId', areaId ? areaId : '')
          formData.append('fullId', this.fullId ? this.fullId : '')
          const config = {
            headers: {
              'Content-Type': 'multipart/form-data'
            }
          }
          this.$http
            .post(
              window.context.portal +
              `/homepage/v1/areaStatusAnalyze`,
              formData,
              config
            )
            .then((res) => {
              if (res.data.state) {
                let AData = []
                let BData = []
                let CData = []
                this.equipmentData = res.data.value
                res.data.value.forEach((e) => {
                  AData.push({
                    value: e.normal,
                    extra: {
                      param: e.areaId
                    }
                  })
                  BData.push({
                    value: e.failure,
                    extra: {
                      param: e.areaId
                    }
                  })
                  CData.push({
                    value: e.alarm,
                    extra: {
                      param: e.areaId
                    }
                  })
                })
                option.series = [
                  {
                    color: '#1890ff',
                    type: 'bar',
                    name: '正常数',
                    data: AData
                  },
                  {
                    color: '#ff8000',
                    type: 'bar',
                    name: '故障数',
                    data: BData
                  },
                  {
                    color: '#f9c700',
                    type: 'bar',
                    name: '报警数',
                    data: CData
                  }
                ]
                option.xAxis.data = this.equipmentData.map(
                  (a) => a.areaName
                )
                myChart.setOption(option)
              }
            })
        }
      })
    },
    //获取设备使用年限分析数据
    getEquipmentLife() {
      equipmentIndex.lifeAnalyze((res) => {
        if (res.state) {
          res.value = res.value.map((item) => {
            return {
              typeName: item.typeName,
              正常使用年限数量: item.normal,
              临近使用年限数量: item.warn,
              超过使用年限数量: item.alarm
            }
          })

          this.warnAnalyzeData = res.value
          this.$nextTick(() => {
            this.equipmentLife()
          })
        }
      })
    },
    //设备使用年限分析
    equipmentLife() {
      let myChart = echarts.init(document.getElementById('lifeAnalyze'))
      let option = {
        legend: {},
        tooltip: {},
        grid: {
          // top: '2%',
          left: '2%',
          right: '4%',
          bottom: '4%',
          containLabel: true
        },
        color: ['#1890ff', '#f9c700', '#ff8000'],
        dataset: {
          //          typeName: item.typeName,
          // 设备使用年限预警数: item.warn,
          // 设备报警数: item.alarm
          dimensions: [
            'typeName',
            '正常使用年限数量',
            '临近使用年限数量',
            '超过使用年限数量'
          ],
          source: this.warnAnalyzeData
        },
        // xAxis: {type: 'category'},
        xAxis: {
          type: 'value',
          boundaryGap: [0, 0.1],
          axisLabel: {
            textStyle: {
              // color: "#C5D2F2", //颜色
              fontSize: '14' //字体大小
            }
          },
          // max: 150, //最大值
          min: 0, //最小值
          splitNumber: 3, //间隔数量
          axisTick: {
            //坐标轴刻度相关设置
            show: false //是否显示坐标轴刻度。
          }
        },
        yAxis: [
          {
            type: 'category'
          }
        ],
        // Declare several bar series, each will be mapped
        // to a column of dataset.source by default.
        series: [
          {
            type: 'bar',
            label: {
              show: true,
              fontSize: 13,
              position: 'right'
              // normal: {
              // 	show: false,
              // 	position: 'top'
              // },
              // formatter: '{@value}',
            },
            showBackground: true,
            itemStyle: {
              normal: {
                color: function () {
                  return {
                    type: 'linear',
                    x: 1,
                    y: 0,
                    x2: 0,
                    y2: 0,
                    colorStops: [
                      {
                        offset: 0,
                        color: '#01D1FF' // 0% 处的颜色
                      },
                      {
                        offset: 0.9,
                        color: '#1890ff' // 100% 处的颜色
                      }
                    ]
                  }
                }
              }
            }
          },
          {
            type: 'bar',
            label: {
              show: true,
              fontSize: 13,
              position: 'right'
            },
            showBackground: true,
            itemStyle: {
              normal: {
                color: function () {
                  return {
                    type: 'linear',
                    x: 1,
                    y: 0,
                    x2: 0,
                    y2: 0,
                    colorStops: [
                      {
                        offset: 0,
                        color: '#FFE375' // 0% 处的颜色
                      },
                      {
                        offset: 0.9,
                        color: '#f9c700' // 100% 处的颜色
                      }
                    ]
                  }
                }
              }
            }
          },
          {
            type: 'bar',
            label: {
              show: true,
              fontSize: 13,
              position: 'right'
              // normal: {
              // 	show: false,
              // 	position: 'top'
              // },
              // formatter: '{@value}'
            },
            showBackground: true,
            itemStyle: {
              normal: {
                color: function () {
                  return {
                    type: 'linear',
                    x: 1,
                    y: 0,
                    x2: 0,
                    y2: 0,
                    colorStops: [
                      {
                        offset: 0,
                        color: '#FFBD7A' // 0% 处的颜色
                      },
                      {
                        offset: 0.9,
                        color: '#ff8000' // 100% 处的颜色
                      }
                    ]
                  }
                }
              }
            }
          }
        ],
        //滚动条
        dataZoom: [
          {
            type: 'slider',
            show: true,
            yAxisIndex: [0],
            width: 6, //组件宽度
            // backgroundColor: "#1A53DD", //两边未选中的滑动条区域的颜色
            borderRadius: 5,
            // borderColor: "#093683", //滚动条边框颜色
            // fillerColor: "#093683", //选中的滑动条区域的颜色
            left: '95%', //滚动条位置
            start: 0, //数据窗口范围的起始百分比
            end: 10, //数据窗口范围的结束百分比
            realtime: true //是否实时更新
          }
        ]
      }
      option && myChart.setOption(option)
    },
    //设备状态分析
    getEquipmentStatus() {
      const formData = new FormData()
      formData.append('typeCode', this.typeCode ? this.typeCode : '')
      formData.append('startTime', this.startTime ? this.startTime : '')
      formData.append('endTime', this.endTime ? this.endTime : '')
      const config = {
        headers: {
          'Content-Type': 'multipart/form-data'
        }
      }
      this.$http
        .post(
          window.context.portal +
          `/homepage/v1/warnFailureHisAnalyze`,
          formData,
          config
        )
        .then((res) => {
          if (res.data.state) {
            console.log(res.data.value)
            this.equipmentStatusData = res.data.value
            // this.equipmentData = res.data.value
            this.$nextTick(() => {
              this.equipmentStatus()
            })
          }
        })
    },
    //设备状态分析echarts
    equipmentStatus() {
      let myChart = echarts.init(document.getElementById('deviceList'))
      let xName = []
      let AData = []
      let BData = []
      this.equipmentStatusData.forEach((e) => {
        xName.push(e.typeName)
        AData.push(e.failure)
        BData.push(e.alarm)
      })

      let option = {
        tooltip: {
          trigger: 'axis',
          axisPointer: {
            type: 'cross',
            label: {
              backgroundColor: '#6a7985'
            }
          },
          formatter: function (params) {
            // console.log(params)
            var relVal = params[0].name
            for (var i = 0, l = params.length; i < l; i++) {
              relVal +=
                '<br/>' +
                params[i].marker +
                params[i].seriesName +
                ':' +
                '<span style="font-weight: bold;">' +
                params[i].value +
                '</span>' +
                '个'
            }
            return relVal
          }
        },
        // 更改图例默认颜色(依次应用)
        color: ['#f9c700', '#ff8000'],
        legend: {
          icon: 'circle', //图例样式
          data: ['报警数量', '故障数量']
        },
        // toolbox: {
        //   feature: {
        //     saveAsImage: {}
        //   }
        // },
        grid: {
          left: '3%',
          right: '4%',
          bottom: '5%',
          containLabel: true
        },
        xAxis: [
          {
            type: 'category',
            // boundaryGap: false,
            data: xName,
            axisLabel: {
              interval: 0 //代表显示所有x轴标签显示
              // rotate: 45 //代表逆时针旋转45度
            }
          }
        ],
        yAxis: [
          {
            max: function (value) {
              return value.max + parseInt(value.max * 0.2)
            },
            minInterval: 1,
            type: 'value'
          }
        ],
        series: [
          {
            name: '报警数量',
            type: 'line',
            stack: 'Total2',
            smooth: true,
            areaStyle: {
              color: '#c8ecf2'
            },
            emphasis: {
              focus: 'series'
            },
            areaStyle: {
              color: {
                type: 'linear',
                x: 0,
                y: 0,
                x2: 0,
                y2: 1,
                colorStops: [
                  // 渐变颜色
                  {
                    offset: 0,
                    color: 'rgba(249, 199, 0, 0.6)'
                  },
                  {
                    offset: 1,
                    color: 'rgba(249, 199, 0, 0)'
                  }
                ],
                global: false
              }
            },
            data: AData
          },
          {
            name: '故障数量',
            type: 'line',
            stack: 'Total3',
            smooth: true,
            label: {
              show: true,
              position: 'top'
            },
            areaStyle: {
              color: '#ffe7e1'
            },
            emphasis: {
              focus: 'series'
            },
            areaStyle: {
              color: {
                type: 'linear',
                x: 0,
                y: 0,
                x2: 0,
                y2: 1,
                colorStops: [
                  // 渐变颜色
                  {
                    offset: 0,
                    color: 'rgba(255, 128, 0, 0.6)'
                  },
                  {
                    offset: 1,
                    color: 'rgba(255, 128, 0, 0)'
                  }
                ],
                global: false
              }
            },
            data: BData
          }
        ],
        //滚动条
        dataZoom: [
          // {
          //     type: 'inside',
          // },
          {
            show: true,
            type: 'slider',
            realtime: true,
            startValue: 0,
            endValue: 14,
            xAxisIndex: [0],
            bottom: '10',
            left: '30',
            height: 10,
            borderColor: 'rgba(0,0,0,0)'
            // textStyle: {
            // 	color: '#000',
            // },
          }
        ]
      }
      option && myChart.setOption(option)
    }
  }
}
</script>
<style lang="scss" scoped>
.wrap {
  overflow-y: scroll;
  background-color: #ebeef5;
}

.warp-content> ::-webkit-scrollbar {
  width: 0px !important;
  /* Chrome Safari */
}


.wrap-header {
  width: 100%;
  height: 166px;
  margin-bottom: 10px;
  display: flex;
  gap: 10px;
  justify-content: space-between;

  .header-item {
    flex: 5;
    height: 166px;
    margin-left: 10px;
    background: #ffffff;
    box-shadow: 0px 0px 7px 0px rgba(193, 211, 255, 0.66);
    border-radius: 10px;

    .title {
      //   text-align: center;
      padding-left: 20px;
      height: 40px;
      line-height: 40px;
      border-top-left-radius: 10px;
      border-top-right-radius: 10px;

      img {
        width: 28px;
        height: 28px;
        vertical-align: middle;
        margin-right: 10px;
      }

      span {
        font-size: 18px;
        font-weight: 600;
      }
    }

    .content {
      display: flex;
      justify-content: space-between;
      height: calc(100% - 40px);
      width: 100%;
    }

    .peichart,
    #pieEchartOne,
    #pieEchartTwo,
    #pieEchartThree,
    #pieEchartFour,
    #pieEchartFive,
    #pieEchartSix {
      width: 100%;
      height: 100%;
    }

    .peichart {
      position: relative;

      .pendants {
        position: absolute;
        top: 40%;
        left: 30%;
        width: 100px;
        line-height: 20px;
        text-align: center;
        background-color: #ffffff;
        border-radius: 4px;
        border: 1px solid #ffa284;
        color: #ffa284;
        box-shadow: 0 0 3px 1px #ffa284;
        font-size: 8px;
      }
    }
  }

  .header-left {
    border-radius: 5px;
    border: 1px solid #d9d9d9;
    width: 35%;
    background-color: #fff;
    text-align: center;
    display: flex;
    align-items: center;
    justify-content: space-evenly;

    .leftItem {
      border: 1px solid #d9d9d9;
      width: 110px;
      height: 130px;
      border-radius: 20px;
      background-color: #f2f6fc;
      line-height: 30px;
      display: flex;
      flex-direction: column;
      justify-content: space-evenly;

      div {
        font-size: 20px;
        line-height: 25px;
        font-weight: bold;
      }

      span {
        font-size: 20px;
        font-weight: bold;
      }
    }
  }

  .header-right {
    width: 65%;
    background-color: #ebeef5;
    margin-left: 10px;
    display: flex;
    box-sizing: border-box;
    justify-content: space-between;

    .rightItem {
      border: 1px solid #d9d9d9;
      width: 200px;
      height: 150px;
      padding: 2px 0;
      box-sizing: border-box;
      background-color: #fff;
      border-radius: 5px;
    }
  }
}

.warp-content {
  width: 100%;
  height: 100%;
  display: flex;

  .content-left {
    overflow: auto;
    width: 100%;

    .leftTop-header {
      padding: 10px;
      box-sizing: border-box;
      background-color: #fff;
      border-radius: 10px;
      margin-bottom: 10px;
    }

    .leftTop {
      width: 100%;
      height: calc(60% - 5px);
      padding: 10px;
      box-sizing: border-box;
      background-color: #fff;
      border-radius: 10px;
      margin-bottom: 10px;

      .current-region {
        width: 100%;
        height: 90%;
      }
    }
  }

  .equipment {
    width: 100%;
    height: calc(70% - 5px);
    display: flex;
    justify-content: space-between;
  }

  .content-right:nth-child(1) {
    margin-right: 10px;
  }

  .content-right {
    border-radius: 10px;
    flex: 2;
    // border: 1px solid #d9d9d9;
    height: 100%;
    background-color: #fff;

    .device-status {
      width: 100%;
      height: calc(100% - 40px);

      .region-btn {
        padding: 20px;
      }
    }

    .rightTop {
      text-align: left;
      font-size: 14px;
      line-height: 47px;
      margin-bottom: 10px;
      border-bottom: 1px solid #e5efff;
      margin: 0 10px;
      box-sizing: border-box;
      font-weight: bold;
      color: #0080ff;
      position: relative;
    }

    .right-top-icon {
      width: 18px;
      height: 20px;
      vertical-align: middle;
      margin-right: 8px;
    }

    .rightTop:after {
      content: '';
      position: absolute;
      left: 0;
      bottom: -2px;
      height: 4px;
      width: 124px;
      background: linear-gradient(0deg, #0080ff, #b2d9ff);
      box-shadow: 0px 1px 5px 0px rgba(83, 136, 255, 0.4);
      border-radius: 2px;
    }
  }

  .infinite-list {
    padding: 10px 10px 0px 10px;
    box-sizing: border-box;
    height: 615px;

    p {
      color: #999999;
      text-align: center;
    }

    .infinite-list-item {
      width: 100%;
    }

    .itembox {
      padding: 0 5px;
      box-sizing: border-box;
      border-radius: 10px;

      .boxheader {
        position: relative;
        display: flex;
        justify-content: space-between;

        div:nth-child(1) {
          width: 70%;
          font-weight: 900;
          overflow: hidden;
          text-overflow: ellipsis;
          white-space: nowrap;
          -webkit-line-clamp: 1;
          -webkit-box-orient: vertical;
          // font-family: PingFangSC-Semibold;
          font-size: 14px;
          color: rgba(0, 0, 0, 0.85);

          span:nth-child(1) {
            display: inline-block;
            width: 5px;
            height: 18px;
            border-radius: 3px;
            vertical-align: middle;
            margin-right: 4px;
          }
        }

        div:nth-child(2) {
          padding: 0 7px;
          box-sizing: border-box;
          border-radius: 3px;
          color: #fff;
        }
      }

      .boxcontent {
        margin: 10px 0;
      }

      .boxbottom {
        display: flex;
        justify-content: space-between;
        color: rgba(0, 0, 0, 0.45);
        // span:nth-child(3) {
        // 	color: #999999;
        // 	}
      }
    }
  }

  ::v-deep .el-divider--horizontal {
    margin: 10px;
  }

  ::v-deep .el-tabs__active-bar {
    height: 4px;
    border-radius: 2px;
    background: linear-gradient(0deg, #0080ff, #b2d9ff);
    box-shadow: 0px 1px 5px 0px rgba(83, 136, 255, 0.4);
  }

  ::v-deep .el-tabs__nav-wrap::after {
    height: 1px;
    background-color: #e5efff;
  }

  .tab-img {
    width: 16px;
    height: 16px;
    vertical-align: middle;
    margin-right: 10px;
  }

  .tab-label {
    color: #666;
    font-size: 16px;
  }

  .tab-label.active {
    color: #0080ff;
    font-weight: bold;
  }

  ::v-deep .el-tabs__content {
    height: calc(100% - 54px);
  }

  ::v-deep .el-tab-pane {
    height: 100%;
    // background: url('~@/assets/img/baclk.png');
  }
}

// /*去掉切换时el-tab-pane底部的蓝色下划线*/
//  ::v-deep  .el-tabs__active-bar {
// 	background-color: transparent !important;
// }

/*去掉tabs底部的下划线*/
::v-deep .el-tabs__nav-wrap::after {
  position: static !important;
}

.head-search {
  width: 100%;
  // height: 78px;
  background-color: #fff;
  // box-shadow: 0px 12px 23px 0px rgba(0, 0, 0, 0.05);
  // border-radius: 20px;
  overflow: hidden;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 0 25px;
  box-sizing: border-box;

  .el-tabs {
    width: inherit;
  }

  .left {
    height: 100%;
    display: flex;
    align-items: center;

    ::v-deep .el-tabs__nav-wrap::after {
      display: none;
    }

    ::v-deep .el-tabs__header {
      margin: 0 !important;
    }

    ::v-deep .el-tabs,
    ::v-deep .el-tabs__header,
    ::v-deep .el-tabs__nav-wrap,
    ::v-deep .el-tabs__nav-scroll,
    ::v-deep .el-tabs__nav {
      height: 100%;
    }

    ::v-deep .el-tabs__nav {
      // padding-top: 20px;
      box-sizing: border-box;
    }

    .icon-circle {
      display: inline-block;
      width: 14px;
      height: 14px;
      border-radius: 50%;
      overflow: hidden;
      margin-right: 10px;
    }

    .more-btn {
      margin-left: 32px;

      &:hover {
        cursor: pointer;

        i {
          color: #0147eb;
        }
      }

      span {
        font-family: Microsoft YaHei;
        font-size: 14px;
        font-weight: normal;
        font-stretch: normal;
        line-height: 19px;
        letter-spacing: 0px;
        color: #545454;
      }

      i {
        color: #545454;
      }
    }
  }

  .center {
    display: flex;

    ::v-deep .el-form-item--small.el-form-item {
      margin-bottom: 0;
    }

    .addBtn {
      margin-left: 10px;
      //   height: 32PX;
    }
  }
}

.container {
  height: 36%;
  // border-radius: 20px;
  padding:20px 30px;
  overflow-y: auto;
  background-color: #fff;
  box-sizing: border-box;

  .item_title {
    height: 19px;
    font-size: 16px;
    font-weight: normal;
    font-stretch: normal;
    line-height: 19px;
    letter-spacing: 0px;
    color: #409eff;
    margin-top: 16px;
    margin-bottom: 10px;
    font-weight: 700;
    position: relative;

    &::before {
      content: '';
      position: absolute;
      top: 0;
      left: -10px;
      display: inline-block;
      width: 4px;
      height: 14px;
      line-height: 14px;
      background: #409eff;
    }
  }
}

.card-container ::-webkit-scrollbar {
  width: 20px !important;
  /* 设置滚动条背景色 */
  /* Chrome Safari */
}

.card-container {
  height: 300px;
  overflow-y: auto;
  margin-top: 16px 0 8px 0;
  display: flex;
  flex-wrap: wrap;
  padding-right: 20px;


  .item-card {
    min-width: 300px !important;
    max-height: 50% !important;
    padding:10px 20px;
    box-sizing: border-box;
    background-color: #f5f6fa;
    border-radius: 20px;
    // box-shadow: 4px 4px 12px 0px rgba(0, 0, 0, 0.1);
    box-sizing: border-box;
    margin-right: 10px;
    margin-bottom: 10px;
    border: 1px solid #fff;

    &:hover {
      cursor: pointer;
      border: 1px dashed #409eff;
    }

    .card-title {
      font-size: 16PX;
      text-align: center;
      font-weight: bold;
      // color: #409eff;
      margin-bottom: 10px;
    }

    .card-cont {
      padding: 10px 0;
      box-sizing: border-box;
      display: flex;
      justify-content: space-evenly;
      align-items: center;

      .cont-item {
        // width: 50%;
        // padding: 0 5%;
        // box-sizing: border-box;
        // display: flex;
        // justify-content: space-between;
        text-align: center;

        div {
          font-size: 12PX;
          font-weight: 600;

          span {
            font-size: 12PX;
            color: #000 !important;
          }
        }

        .num {
          margin-top: 15px;
        }

        .normal {
          margin-top: 15px;
          color: #1890ff;
        }

        .breakdown {
          margin-top: 15px;
          color: #f9c700;
        }

        .alarm {
          margin-top: 15px;
          color: #ff8000;
        }
      }
    }
  }
}

@media screen and (max-width: 680px) {
  .item-card {
    width: 100%;
    margin-right: 0;
  }
}

@media screen and (min-width: 681px) {
  .item-card {
    width: calc(50% - 4px);
  }

  .item-card:nth-child(2n) {
    margin-right: 0px;
  }
}

@media screen and (min-width: 1040px) {
  .item-card {
    width: calc(33% - 4px);
  }

  .item-card:nth-child(2n) {
    margin-right: 10px;
  }

  .item-card:nth-child(2n + 1) {
    margin-right: 10px;
  }

  .item-card:nth-child(3n) {
    margin-right: 0;
  }

  .item-card:nth-child(3n + 1) {
    margin-right: 10px;
  }
}

@media screen and (min-width: 1350px) {
  .item-card {
    width: calc(25% - 8px);
  }

  .item-card:nth-child(2n) {
    margin-right: 10px;
  }

  .item-card:nth-child(2n + 1) {
    margin-right: 10px;
  }

  .item-card:nth-child(3n + 1) {
    margin-right: 10px;
  }

  .item-card:nth-child(3n) {
    margin-right: 10px;
  }

  .item-card:nth-child(4n + 1) {
    margin-right: 10px;
  }

  .item-card:nth-child(4n) {
    margin-right: 0px;
  }
}

@media screen and (min-width: 1710px) {
  .item-card {
    width: calc(20% - 8px);
  }

  .item-card:nth-child(2n) {
    margin-right: 10px;
  }

  .item-card:nth-child(3n) {
    margin-right: 10px;
  }

  .item-card:nth-child(4n) {
    margin-right: 10px;
  }

  .item-card:nth-child(5n) {
    margin-right: 0;
  }
}

.bbsl-common-page {
  background-color: #E8EBF3;
}
</style>
